# Uses of Enum Class
org.apache.sysds.runtime.einsum.EOpNodeUnary.EUnaryOperand

Packages that use EOpNodeUnary.EUnaryOperand
Package
Description
org.apache.sysds.runtime.einsum

## Uses of EOpNodeUnary.EUnaryOperand in org.apache.sysds.runtime.einsum

Methods in org.apache.sysds.runtime.einsum that return EOpNodeUnary.EUnaryOperand
Modifier and Type
Method
Description
`static EOpNodeUnary.EUnaryOperand`
EOpNodeUnary.EUnaryOperand.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EOpNodeUnary.EUnaryOperand[]`
EOpNodeUnary.EUnaryOperand.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.einsum with parameters of type EOpNodeUnary.EUnaryOperand
Modifier
Constructor
Description
``
`EOpNodeUnary(Character c1, Character c2, Integer dim1, Integer dim2, EOpNode child, EOpNodeUnary.EUnaryOperand eUnaryOperand)`